<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\DozFeedbackauswertungenUebersicht\DozFeedbackauswertungen;

class DozFeedbackauswertungenUebersichtUseCase extends \Kufer\KuferTools\basis\Feedbackauswertung\FeedbackAuswertungenUebersicht\FeedbackAuswertungenUebersichtUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_FEEDBACK_AUSWERTUNGEN_DOZ;
  }

  public static function getToolSectionId()
  {
    return 568;
  }

  protected function getBogenTyp()
  {
    return 'T';
  }

  protected function getButtons()
  {
    $buttonFactory = new \Kufer\KuferTools\Basis\Button\ButtonFactory();
    $buttons = array();

    $buttonGruppeFilter = array();
    $buttonGruppeFilter[] = $buttonFactory->getFilterButton('Filter', 'DozFeedbackauswertungUebersicht_suchen_Button');
    if ($this->isFilterGesetzt()) {
      $buttonGruppeFilter[] = $buttonFactory->getFilterLeerenButton('Leeren', 'DozFeedbackauswertungUebersicht_leeren_Button');
    }
    $buttons[] = $buttonGruppeFilter;

    return $buttons;
  }

  protected function getUeberschrift()
  {
    if ($this->request->isFilterSet) {
      return 'Feedbackauswertung der Teilnehmer (Gefiltert)';
    }

    return 'Feedbackauswertung der Teilnehmer';
  }

  protected function getResponse()
  {
    $this->response = parent::getResponse();
    $this->response->ueberschrift = $this->getUeberschrift();

    return $this->response;
  }
}